%global __requires_exclude pear\\(File/Util.php\\)
%define upstream_name File
%define xmldir  /var/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version: 	1.4.1
Release: 	%mkrel 8
Summary: 	Common file and directory routines
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File-%{version}.tgz
URL: 		http://pear.php.net/package/File
BuildRequires: 	php-pear >= 1.4.7

BuildArch: noarch

%description
Provides easy access to read/write to files along with
some common routines to deal with paths.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File
fi

%files
%{peardir}/*
%{xmldir}/File.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.4.1-8.mga8
+ Revision: 1498782
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4.1-7.mga7
+ Revision: 1273188
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.4.1-6.mga6
+ Revision: 932147
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-5.mga5
+ Revision: 741563
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-4.mga5
+ Revision: 687242
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.4.1-3.mga4
+ Revision: 516741
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 376077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 spuhler <spuhler> 1.4.1-1.mga3
+ Revision: 329989
- upgrade to 1.4.1

* Tue Dec 06 2011 spuhler <spuhler> 1.4.0-2.mga2
+ Revision: 177254
- added %%define _requires_exceptions pear(File/Util.php) because file doesn't exist

* Sun Dec 04 2011 spuhler <spuhler> 1.4.0-1.mga2
+ Revision: 175884
- pearized spec file
- upgrade to 1.4.0

* Mon Jan 17 2011 spuhler <spuhler> 1.3.0-8.mga1
+ Revision: 20738
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-File


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-8mdv2011.0
+ Revision: 607098
- rebuild

* Mon Dec 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.0-7mdv2010.1
+ Revision: 478661
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3.0-6mdv2010.0
+ Revision: 426618
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-5mdv2009.1
+ Revision: 321810
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.3.0-4mdv2009.0
+ Revision: 224732
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-3mdv2008.1
+ Revision: 178507
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jun 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2008.0
+ Revision: 34971
- the xml in the package.xml is ok now, remove the recoding

* Sun Jun 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-1mdv2008.0
+ Revision: 34812
- 1.3.0

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-4mdv2008.0
+ Revision: 15425
- rule out the PHPUnit.php dep


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-3mdv2007.0
+ Revision: 81088
- Import php-pear-File

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-3mdk
- new group (Development/PHP)

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdk
- fix the package.xml file so it will register

* Thu Sep 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-1mdk
- 1.2.2

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-5mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-3mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdk
- rebuild

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- fix spec file to conform with the others

* Sat Apr 16 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.0-0.RC3.2mdk
- Fix requires

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.0-0.RC3.1mdk
- First mdk package

